PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
plask::RectangularMaskedMesh2D::Element Class Reference

`#include <plask/mesh/rectangular_masked2d.hpp>`

## Public Types
enum | : std::size_t { UNKNOWN_ELEMENT_INDEX = std::numeric_limits<std::size_t>::max() }

## Public Member Functions
| Element (const RectangularMaskedMesh2D &maskedMesh, std::size_t elementIndex, std::size_t index0, std::size_t index1)
| Element (const RectangularMaskedMesh2D &maskedMesh, std::size_t elementIndex, std::size_t elementIndexOfFullMesh)
| Element (const RectangularMaskedMesh2D &maskedMesh, std::size_t elementIndex)
std::size_t | getIndex0 () const
std::size_t | getIndex1 () const
std::size_t | getLowerIndex0 () const
std::size_t | getLowerIndex1 () const
double | getLower0 () const
double | getLower1 () const
std::size_t | getUpperIndex0 () const
std::size_t | getUpperIndex1 () const
double | getUpper0 () const
double | getUpper1 () const
double | getSize0 () const
double | getSize1 () const
Vec< 2, double > | getSize () const
Vec< 2, double > | getMidpoint () const
std::size_t | getIndex () const
Box2D | toBox () const
double | getVolume () const
double | getArea () const
std::size_t | getLoLoIndex () const
std::size_t | getLoUpIndex () const
std::size_t | getUpLoIndex () const
std::size_t | getUpUpIndex () const
Vec< 2, double > | getLoLo () const
Vec< 2, double > | getLoUp () const
Vec< 2, double > | getUpLo () const
Vec< 2, double > | getUpUp () const

## Detailed Description

Definition at line 33 of file rectangular_masked2d.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum : std::size_t

Enumerator
UNKNOWN_ELEMENT_INDEX |

Definition at line 1 of file rectangular_masked2d.hpp.

## Constructor & Destructor Documentation

## ◆ Element() [1/3]

plask::RectangularMaskedMesh2D::Element::Element | ( | const RectangularMaskedMesh2D & | maskedMesh,
|  | std::size_t | elementIndex,
|  | std::size_t | index0,
|  | std::size_t | index1
| ) |  |
| inline

Definition at line 49 of file rectangular_masked2d.hpp.

## ◆ Element() [2/3]

plask::RectangularMaskedMesh2D::Element::Element | ( | const RectangularMaskedMesh2D & | maskedMesh,
|  | std::size_t | elementIndex,
|  | std::size_t | elementIndexOfFullMesh
| ) |  |
| inline

Definition at line 54 of file rectangular_masked2d.hpp.

## ◆ Element() [3/3]

plask::RectangularMaskedMesh2D::Element::Element | ( | const RectangularMaskedMesh2D & | maskedMesh,
|  | std::size_t | elementIndex
| ) |  |
| inline

Definition at line 62 of file rectangular_masked2d.hpp.

## Member Function Documentation

## ◆ getArea()

double plask::RectangularMaskedMesh2D::Element::getArea | ( |  | ) | const
| inline

Returns
  total area of this element

Definition at line 122 of file rectangular_masked2d.hpp.

## ◆ getIndex()

std::size_t plask::RectangularMaskedMesh2D::Element::getIndex | ( |  | ) | const
| inline

Returns
  index of this element

Definition at line 109 of file rectangular_masked2d.hpp.

## ◆ getIndex0()

std::size_t plask::RectangularMaskedMesh2D::Element::getIndex0 | ( |  | ) | const
| inline

Returns
  tran index of the element

Definition at line 67 of file rectangular_masked2d.hpp.

## ◆ getIndex1()

std::size_t plask::RectangularMaskedMesh2D::Element::getIndex1 | ( |  | ) | const
| inline

Returns
  vert index of the element

Definition at line 70 of file rectangular_masked2d.hpp.

## ◆ getLoLo()

Vec< 2, double > plask::RectangularMaskedMesh2D::Element::getLoLo | ( |  | ) | const
| inline

Returns
  position of the lower left corner of this element

Definition at line 137 of file rectangular_masked2d.hpp.

## ◆ getLoLoIndex()

std::size_t plask::RectangularMaskedMesh2D::Element::getLoLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower left corner of this element

Definition at line 125 of file rectangular_masked2d.hpp.

## ◆ getLoUp()

Vec< 2, double > plask::RectangularMaskedMesh2D::Element::getLoUp | ( |  | ) | const
| inline

Returns
  position of the upper left corner of this element

Definition at line 140 of file rectangular_masked2d.hpp.

## ◆ getLoUpIndex()

std::size_t plask::RectangularMaskedMesh2D::Element::getLoUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper left corner of this element

Definition at line 128 of file rectangular_masked2d.hpp.

## ◆ getLower0()

double plask::RectangularMaskedMesh2D::Element::getLower0 | ( |  | ) | const
| inline

Returns
  tran coordinate of the left edge of the element

Definition at line 79 of file rectangular_masked2d.hpp.

## ◆ getLower1()

double plask::RectangularMaskedMesh2D::Element::getLower1 | ( |  | ) | const
| inline

Returns
  vert coordinate of the bottom edge of the element

Definition at line 82 of file rectangular_masked2d.hpp.

## ◆ getLowerIndex0()

std::size_t plask::RectangularMaskedMesh2D::Element::getLowerIndex0 | ( |  | ) | const
| inline

Returns
  tran index of the left edge of the element

Definition at line 73 of file rectangular_masked2d.hpp.

## ◆ getLowerIndex1()

std::size_t plask::RectangularMaskedMesh2D::Element::getLowerIndex1 | ( |  | ) | const
| inline

Returns
  vert index of the bottom edge of the element

Definition at line 76 of file rectangular_masked2d.hpp.

## ◆ getMidpoint()

Vec< 2, double > plask::RectangularMaskedMesh2D::Element::getMidpoint | ( |  | ) | const
| inline

Returns
  position of the middle of the element

Definition at line 106 of file rectangular_masked2d.hpp.

## ◆ getSize()

Vec< 2, double > plask::RectangularMaskedMesh2D::Element::getSize | ( |  | ) | const
| inline

Returns
  vector indicating size of the element

Definition at line 103 of file rectangular_masked2d.hpp.

## ◆ getSize0()

double plask::RectangularMaskedMesh2D::Element::getSize0 | ( |  | ) | const
| inline

Returns
  size of the element in the tran direction

Definition at line 97 of file rectangular_masked2d.hpp.

## ◆ getSize1()

double plask::RectangularMaskedMesh2D::Element::getSize1 | ( |  | ) | const
| inline

Returns
  size of the element in the vert direction

Definition at line 100 of file rectangular_masked2d.hpp.

## ◆ getUpLo()

Vec< 2, double > plask::RectangularMaskedMesh2D::Element::getUpLo | ( |  | ) | const
| inline

Returns
  position of the lower right corner of this element

Definition at line 143 of file rectangular_masked2d.hpp.

## ◆ getUpLoIndex()

std::size_t plask::RectangularMaskedMesh2D::Element::getUpLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower right corner of this element

Definition at line 131 of file rectangular_masked2d.hpp.

## ◆ getUpper0()

double plask::RectangularMaskedMesh2D::Element::getUpper0 | ( |  | ) | const
| inline

Returns
  tran coordinate of the right edge of the element

Definition at line 91 of file rectangular_masked2d.hpp.

## ◆ getUpper1()

double plask::RectangularMaskedMesh2D::Element::getUpper1 | ( |  | ) | const
| inline

Returns
  vert coordinate of the top edge of the element

Definition at line 94 of file rectangular_masked2d.hpp.

## ◆ getUpperIndex0()

std::size_t plask::RectangularMaskedMesh2D::Element::getUpperIndex0 | ( |  | ) | const
| inline

Returns
  tran index of the right edge of the element

Definition at line 85 of file rectangular_masked2d.hpp.

## ◆ getUpperIndex1()

std::size_t plask::RectangularMaskedMesh2D::Element::getUpperIndex1 | ( |  | ) | const
| inline

Returns
  vert index of the top edge of the element

Definition at line 88 of file rectangular_masked2d.hpp.

## ◆ getUpUp()

Vec< 2, double > plask::RectangularMaskedMesh2D::Element::getUpUp | ( |  | ) | const
| inline

Returns
  position of the upper right corner of this element

Definition at line 146 of file rectangular_masked2d.hpp.

## ◆ getUpUpIndex()

std::size_t plask::RectangularMaskedMesh2D::Element::getUpUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper right corner of this element

Definition at line 134 of file rectangular_masked2d.hpp.

## ◆ getVolume()

double plask::RectangularMaskedMesh2D::Element::getVolume | ( |  | ) | const
| inline

Returns
  total area of this element

Definition at line 119 of file rectangular_masked2d.hpp.

## ◆ toBox()

Box2D plask::RectangularMaskedMesh2D::Element::toBox | ( |  | ) | const
| inline

Returns
  this element as rectangular box

Definition at line 116 of file rectangular_masked2d.hpp.

The documentation for this class was generated from the following file:

- plask/mesh/rectangular_masked2d.hpp